"java.lang.StackOverflowError" in JDeveloper using Salesforce Adapter wizard with SOQL 'query' operation. (Doc ID 1676659.1)

Last updated on MARCH 23, 2016

Applies to:

Oracle SOA Suite - Version 11.1.1.7.0 and later
Information in this document applies to any platform.

Symptoms

On : 11.1.1.7.0 version, Salesforce Technology Adapter

Uncaught exception "java.lang.StackOverflowError" in JDeveloper using Salesforce Adapter wizard with SOQL 'query' operation.

The query statement uses a bind parameter named '&DefectId'.

The Salesforce connection tests successfully, and the query runs successfully from the wizard, however JDeveloper returns the following error:

ERROR
-----------------------
Detailed Error
Uncaught exception
java.lang.StackOverflowError
  j.util.HashSet.add(HashSet.java:217)
  o.tip.tools.ide.adapters.cloud.impl.metadata.model.CloudDataObjectNodeImpl.addField(CloudDataObjectNodeImpl.java:183)
  o.tip.tools.ide.adapters.salesforce.plugin.generator.SfdcRuntimeMetadataGenerator.populateObjectWtihMask(SfdcRuntimeMetadataGenerator.java:651)
  o.tip.tools.ide.adapters.salesforce.plugin.generator.SfdcRuntimeMetadataGenerator.populateObjectWtihMask(SfdcRuntimeMetadataGenerator.java:642)
  o.tip.tools.ide.adapters.salesforce.plugin.generator.SfdcRuntimeMetadataGenerator.populateObjectWtihMask(SfdcRuntimeMetadataGenerator.java:642)
  o.tip.tools.ide.adapters.salesforce.plugin.generator.SfdcRuntimeMetadataGenerator.populateObjectWtihMask(SfdcRuntimeMetadataGenerator.java:642)
  o.tip.tools.ide.adapters.salesforce.plugin.generator.SfdcRuntimeMetadataGenerator.populateObjectWtihMask(SfdcRuntimeMetadataGenerator.java:642)
  o.tip.tools.ide.adapters.salesforce.plugin.generator.SfdcRuntimeMetadataGenerator.populateObjectWtihMask(SfdcRuntimeMetadataGenerator.java:642)
  o.tip.tools.ide.adapters.salesforce.plugin.generator.SfdcRuntimeMetadataGenerator.populateObjectWtihMask(SfdcRuntimeMetadataGenerator.java:642)
  o.tip.tools.ide.adapters.salesforce.plugin.generator.SfdcRuntimeMetadataGenerator.populateObjectWtihMask(SfdcRuntimeMetadataGenerator.java:642)
  o.tip.tools.ide.adapters.salesforce.plugin.generator.SfdcRuntimeMetadataGenerator.populateObjectWtihMask(SfdcRuntimeMetadataGenerator.java:642)
  o.tip.tools.ide.adapters.salesforce.plugin.generator.SfdcRuntimeMetadataGenerator.populateObjectWtihMask(SfdcRuntimeMetadataGenerator.java:642)
  o.tip.tools.ide.adapters.salesforce.plugin.generator.SfdcRuntimeMetadataGenerator.populateObjectWtihMask(SfdcRuntime


STEPS
-----------------------
The issue can be reproduced at will with the following steps:

1) Launch the Salesforce configuration wizard, and use SOQL.

2) After clicking "Finish" an "Unexpected Error" dialog opens in JDeveloper stating:

"The program may be unstable, which could result in data loss. Decide how you
want to proceed and click OK."

When clicking on "View Error Details" link, the full stack trace is seen.


BUSINESS IMPACT
-----------------------
The issue has the following business impact:
Due to this issue, users cannot use SOQL with the Salesforce Adapter.

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms